%define module_name DBIx-TSV
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/TextTableAny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/Table/TSV.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Generate TSV from SQL query result
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/DBIx-TSV

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package is a thin glue between the DBI manpage and the DBIx::TextTableAny manpage (which in
turn is a thin glue to the Text::Table::Any manpage). It adds the following methods to
database handle:

 selectrow_tsv
 selectall_tsv
 selectrow_tsv_noheader
 selectall_tsv_noheader

as well as the following methods to statement handle:

 fetchrow_tsv
 fetchall_tsv
 fetchrow_tsv_noheader
 fetchall_tsv_noheader

The methods send the result of query to Text::Table::Any (using the
the Text::Table::TSV manpage backend) and return the rendered TSV data.

In essence, this is an easy, straightforward way produce TSV data from SQL
query.

=for Pod::Coverage ^(.+)$

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*

%changelog
* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Thu Jul 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

